Subject: Re: [PATCH v3 00/19] mm: Refactor bootmem gigantic hugepage allocation

From: Muchun Song <[email-masked]>
Date: Tue, 2 Jun 2026 20:01:17 +0800

> On Jun 2, 2026, at 18:34, Oscar Salvador (SUSE) <[email-masked]> wrote:
> 
> On Tue, Jun 02, 2026 at 06:10:20PM +0800, Muchun Song wrote:
>> This series is split out from the earlier larger series "mm: Generalize
>> HVO for HugeTLB and device DAX" [1]. It collects the first 19 patches of
>> that series as a standalone set of fixes and preparatory cleanups around
>> bootmem HugeTLB handling, sparse initialization ordering, and related
>> vmemmap setup.

Hi Oscar,

> 
> Thanks Munchun, this split out really helps easing the review.
> I think not so many patches from this series scaped review, but I shall
> get back ot it later this week.

Sounds good! Thanks for taking the time to review. Looking forward to your
feedback later this week.

Best,
Muchun

> -- 
> Oscar Salvador
> SUSE Labs